Name:           perl-PAR
Version:        1.002
Release:        5%{?dist}
Summary:        Perl Archive Toolkit
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PAR/
Source0:        http://www.cpan.org/authors/id/S/SM/SMUELLER/PAR-%{version}.tar.gz
# Fix CVE-2011-4114, bug #760132, included in upstream 1.004.
Patch0:         perl-PAR-1.002-CVE-2011-4114.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Archive::Zip) >= 1
BuildRequires:  perl(Compress::Zlib) >= 1.3
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(PAR::Dist) >= 0.32
Requires:       perl(Archive::Zip) >= 1
Requires:       perl(Compress::Zlib) >= 1.3
Requires:       perl(PAR::Dist) >= 0.32
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module lets you use special zip files, called Perl Archives, as
libraries from which Perl modules can be loaded.

%prep
%setup -q -n PAR-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
export TEMP="$(mktemp -d)"
make test
rm -rf "$TEMP"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Dec 01 2011 Petr Pisar <ppisar@redhat.com> - 1.002-5
- Fix CVE-2011-4114 (insecure temporary directory handling) (bug #760132)

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.002-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.002-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.002-2
- 661697 rebuild for fixing problems with vendorach/lib

* Tue Sep 14 2010 Petr Sabata <psabata@redhat.com> - 1.002-1
- New release, v1.002

* Tue Aug 24 2010 Adam Tkac <atkac redhat com> - 1.000-2
- rebuild

* Fri Jun 11 2010 Petr Sabata <psabata@redhat.com> - 1.000-1
- Update to the latest release.

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.994-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.994-2
- rebuild against perl 5.10.1

* Fri Aug 21 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.994-1
- update and fix 505576 which was probably fixed by new release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.992-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 28 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.992-1
- update to the latest release

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.983-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 24 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.983-2
- Specfile autogenerated by cpanspec 1.77.
